Package org.apache.sysds.hops.fedplanner

## Class FederatedMemoTable.HopCommon

- java.lang.Object
- - org.apache.sysds.hops.fedplanner.FederatedMemoTable.HopCommon

Enclosing class:
  FederatedMemoTable

    public static class FederatedMemoTable.HopCommon
    extends Object

Represents common properties and costs associated with a Hop. This class holds a reference to the Hop and tracks its execution and network transfer costs.

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`